package com.xyzc.start.controller;


import com.xyzc.common.core.exception.ServerExceptionHandler;
import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.BaseUserPhotoFolder;
import com.xyzc.start.domain.ComfyuiUserWorkflow;
import com.xyzc.start.domain.bo.ComfyuiUserWorkflowBo;
import com.xyzc.start.domain.bo.HelpFeedbackBo;
import com.xyzc.start.domain.vo.BaseUserVo;
import com.xyzc.start.domain.vo.ComfyuiWorkflowVo;
import com.xyzc.start.service.IComfyUIService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.List;

/**
 * comfy
 *
 * @author 吴友志
 */
@RestController
@RequiredArgsConstructor
@CrossOrigin
@Slf4j
@RequestMapping("/comfyui")
public class ComfyUIController {

//    private final IComfyUIService comfyUIService;

//    private final IComfyuiWorkflowService comfyuiWorkflowService;
    private final IComfyUIService comfyUIService;

    /**
     * 获取comfyui模板基本信息
     */
    @PostMapping("/picInfo")
    public Result<List<ComfyuiWorkflowVo>> info() {
        List<ComfyuiWorkflowVo> comfyuiWorkflows = comfyUIService.queryAllWorkflow();
        return Result.ok(comfyuiWorkflows);
    }

    /**
     * 类型1-9的
     */
    @PostMapping("/generatePic")
    public Result<Void> generatePic(@RequestBody BaseUserPhotoFolder baseUserPhotoFolder) throws ParseException {
        comfyUIService.comfyUIGeneratPic(baseUserPhotoFolder);
        return Result.ok();
    }

    /**
     * SD type类型未10000、10001
     */
    @PostMapping("/sdGeneratePic")
    public Result<Void> sdGeneratePic(@RequestBody BaseUserPhotoFolder baseUserPhotoFolder) {
        comfyUIService.sdGeneratePic(baseUserPhotoFolder);
        return Result.ok();
    }

    /**
     * 接收用户提交comfyui生成图片后，回调的图片的生成url
     * @param userId
     * @param minioUrl
     * @param promptId
     * @return
     */
    @GetMapping("/updatePromtId")
    public Result<Void> updatePromtId(@RequestParam("userId") Long userId, @RequestParam("minioUrl") String minioUrl, @RequestParam("promptId") String promptId) {
        comfyUIService.updatePromtId(userId, minioUrl, promptId);
        return Result.ok();
    }

    /**
     * 获取异常报错信息
     * @param exceptInfo
     * @throws Exception
     */
    @PostMapping("/getExceptInfo")
    @ResponseBody
    public void getExceptInfo(@RequestBody String exceptInfo) {
        log.info("exceptInfo:{}", exceptInfo);
    }
}
