package com.xyzc.start.domain.query;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

@Data
public class AppQuery {

    /**
     * 上一个应用id
     */
    private Long appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 模糊查询关键字
     */
    private String keyword;

    /**
     * 是否按收藏量查询，0-按使用量查询， 1-按收藏量查询
     */
    @Range(min = 0, max = 1, message = "类型错误，请输入{min}到{max}之间的数")
    private String selectType;

    /**
     * 查询类型，1-精选应用，2-特色应用，3-玩转应用
     */
    @Range(min = 1, max = 3, message = "类型错误，请输入{min}到{max}之间的数")
    private Integer discoveryType;
}
