package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.MemberCard;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * 会员卡视图对象 xy_member_card
 *
 * @author admin
 * date 2024-06-26
 */
@Data
@AutoMapper(target = MemberCard.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MemberCardVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    @AutoMapping(target = "id")
    private Long memberCardId;

    /**
     * 会员方案id
     */
    private Long memberCardSchemeId;

    /**
     * 会员卡logo ossId
     */
    private Long ossUrl;

    /**
     * 会员卡划线价
     */
    private BigDecimal strikethroughPrice;

    /**
     * 赠送燃料
     */
    private Integer giveFuel;

    /**
     * 会员卡名称
     */
    private String memberCardName;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 会员卡售价
     */
    private BigDecimal price;

    /**
     * 描述
     */
    private String description;

    /**
     * 会员卡等级
     */
    private Integer cardLevel;

    /**
     * 会员卡时长
     */
    private Integer MemberCardTime;

    /**
     * 会员卡时间类型，1-天；2-周；3-月；4-季；5-年
     */
    private Integer timeUnit;

    /**
     * 每天使用次数
     */
    private Integer everydayUseNumber;

    /**
     * 立省多少钱
     */
    private BigDecimal saveMoney;

    /**
     * 权益集合
     */
    private List<EquityVo> equityList;

    /**
     * 权益数组
     */
    private List<MemberEquityVo> memberEquityList;
}
