package com.xyzc.start.service;

import com.xyzc.start.domain.query.AppQuery;
import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 *
 */
public interface IAppPageService {

    /**
     * 查询所有行业
     *
     * @return
     */
    List<WebAppGroupVo> queryByType();

    /**
     * 查询所有分类
     *
     * @return
     */
    List<IndustryVo> queryByIndustry();

    /**
     * 根据行业id查询app
     *
     * @param careerId
     * @return
     */
    AppPageCareerVo queryByIndustryId(Long careerId, Long appId);

    /**
     * 根据分类id查询app
     */
    WebAppGroupVo queryByTypeId(Long typeId, AppQuery appQuery);

    /**
     * 根据查询条件查询app
     *
     * @param appQuery
     * @return
     */
    List<BaseUserSelectAppVo> queryAppByQuery(AppQuery appQuery);
}
