package com.xyzc.start.service.impl;

import com.xyzc.start.domain.vo.DrawAssistantVo;
import com.xyzc.start.domain.vo.DrawPromptConfigVo;
import com.xyzc.start.mapper.DrawAssistantMapper;
import com.xyzc.start.service.IDrawAssistantService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class DrawAssistantServiceImpl implements IDrawAssistantService {


    private final DrawAssistantMapper drawAssistantMapper;

    /**
     * 查询抽奖助手列表
     *
     * @return
     */
    @Override
    public List<DrawAssistantVo> queryDrawAssistantList() {

        return drawAssistantMapper.selectVoList(null);
    }

    /**
     * @param assistantId
     * @param promptId
     * @return
     */
    @Override
    public List<DrawPromptConfigVo> queryDrawPromptConfigList(Integer assistantId, Long promptId, String keyword, Integer length) {

        return drawAssistantMapper.queryDrawPromptList(assistantId, promptId, keyword, length == null ? 10 : length);

    }
}
